summaryrefslogtreecommitdiffstats
path: root/perl/perl-Authen-SASL/perl-Authen-SASL.SlackBuild
diff options
context:
space:
mode:
author dsomero <xgizzmo@slackbuilds.org>2012-09-29 23:34:53 -0400
committer Robby Workman <rworkman@slackbuilds.org>2012-09-30 20:01:05 -0500
commite3cffbcbac4cf6b37364aaf4a350acc97b88c33a (patch)
treee27a31dfedae741f235e9a21c53f4d217baf71ea /perl/perl-Authen-SASL/perl-Authen-SASL.SlackBuild
parent3de71dd160bf13a7baada1597bf9b247cb884c5b (diff)
downloadslackbuilds-e3cffbcbac4cf6b37364aaf4a350acc97b88c33a.tar.gz
slackbuilds-e3cffbcbac4cf6b37364aaf4a350acc97b88c33a.tar.xz
perl/perl-Authen-SASL: Fixed (Remove perllocal.pod file)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl/perl-Authen-SASL/perl-Authen-SASL.SlackBuild')
-rw-r--r--perl/perl-Authen-SASL/perl-Authen-SASL.SlackBuild20
1 files changed, 9 insertions, 11 deletions
diff --git a/perl/perl-Authen-SASL/perl-Authen-SASL.SlackBuild b/perl/perl-Authen-SASL/perl-Authen-SASL.SlackBuild
index 5c18b64dd1..aa7cb3d4bc 100644
--- a/perl/perl-Authen-SASL/perl-Authen-SASL.SlackBuild
+++ b/perl/perl-Authen-SASL/perl-Authen-SASL.SlackBuild
@@ -30,7 +30,7 @@
SRCNAM=Authen-SASL
PRGNAM=perl-$SRCNAM
VERSION=2.15
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -77,28 +77,26 @@ find . \
CFLAGS="$SLKCFLAGS" \
perl Makefile.PL \
- PREFIX=/usr \
- INSTALLDIRS=vendor \
- INSTALLVENDORMAN3DIR=/usr/man/man3
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
make
make test
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l );do
- ln -s $( readlink $i ).gz $i.gz ; rm $i
-done
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" -print0 | xargs -0 rm -f || true
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a api.txt Changes \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install